OGRE: Ogre::RTShader::ParameterFactory Class Reference - OGRE Documentation

Static Public Member Functions

# Ogre::RTShader::ParameterFactory Class Reference
[RTShader]

Helper utility class that creates common parameters. More...

`#include <OgreShaderParameter.h>`

List of all members.

## Static Public Member Functions
static ParameterPtr | createInPosition (int index)
static ParameterPtr | createOutPosition (int index)
static ParameterPtr | createInNormal (int index)
static ParameterPtr | createOutNormal (int index)
static ParameterPtr | createInBiNormal (int index)
static ParameterPtr | createOutBiNormal (int index)
static ParameterPtr | createInTangent (int index)
static ParameterPtr | createOutTangent (int index)
static ParameterPtr | createInColor (int index)
static ParameterPtr | createOutColor (int index)
static ParameterPtr | createInTexcoord (GpuConstantType type, int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord (GpuConstantType type, int index, Parameter::Content content)
static ParameterPtr | createInTexcoord1 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord1 (int index, Parameter::Content content)
static ParameterPtr | createInTexcoord2 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord2 (int index, Parameter::Content content)
static ParameterPtr | createInTexcoord3 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord3 (int index, Parameter::Content content)
static ParameterPtr | createInTexcoord4 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord4 (int index, Parameter::Content content)
static ParameterPtr | createConstParamVector2 (Vector2 val)
static ParameterPtr | createConstParamVector3 (Vector3 val)
static ParameterPtr | createConstParamVector4 (Vector4 val)
static ParameterPtr | createConstParamFloat (float val)
static UniformParameterPtr | createSampler (GpuConstantType type, int index)
static UniformParameterPtr | createSampler1D (int index)
static UniformParameterPtr | createSampler2D (int index)
static UniformParameterPtr | createSampler3D (int index)
static UniformParameterPtr | createSamplerCUBE (int index)
static UniformParameterPtr | createUniform (GpuConstantType type, int index, uint16 variability, const String &suggestedName)

## Detailed Description

Helper utility class that creates common parameters.

Definition at line 522 of file OgreShaderParameter.h.

## Member Function Documentation

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamFloat | ( | float | val | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamVector2 | ( | Vector2 | val | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamVector3 | ( | Vector3 | val | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamVector4 | ( | Vector4 | val | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInBiNormal | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInColor | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInNormal | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInPosition | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTangent | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord | ( | GpuConstantType | type,
|  | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord1 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord2 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord3 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord4 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutBiNormal | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutColor | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutNormal | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutPosition | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTangent | ( | int | index | ) | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord | ( | GpuConstantType | type,
|  | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord1 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord2 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord3 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord4 | ( | int | index,
|  | Parameter::Content | content |
| ) |  |  | `[static]`

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler | ( | GpuConstantType | type,
|  | int | index |
| ) |  |  | `[static]`

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler1D | ( | int | index | ) | `[static]`

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler2D | ( | int | index | ) | `[static]`

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler3D | ( | int | index | ) | `[static]`

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSamplerCUBE | ( | int | index | ) | `[static]`

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createUniform | ( | GpuConstantType | type,
|  | int | index,
|  | uint16 | variability,
|  | const String & | suggestedName |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- OgreShaderParameter.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:06